package de.bsvrz.vew.ereigniskal.ereigniskal.ereignis;

import de.bsvrz.sys.funclib.debug.Debug;

public class EreignisTyp
{
  /**
   * Die Pid des EreignisTyps
   * 
   */
  protected String pid;

  /**
   * Prioritt des Ereignistyps (EreignisParameter)
   */
  protected Long prioritaet;

  /**
   * Der Debugger, stellt verschiedene Protokollierungsfunktionen zur Verfgung
   */
  private Debug _debug;

  public EreignisTyp(String pid)
  {

    this.pid = pid;

    _debug = Debug.getLogger();
  }

  public Long getPrioritaet()
  {
    return prioritaet;
  }

  public void setPrioritaet(Long prioritaet)
  {
    this.prioritaet = prioritaet;
  }

  public String getPid()
  {
    return pid;
  }

  public void setPid(String pid)
  {
    this.pid = pid;
  }

}
